Skip to main content

Assets - List assets

Route URL​

GET https://playcanvas.com/api/projects/:projectId/assets?branchId=:branchId&skip=:skip&limit=:limit

Description​

Get the details of all assets in a project for a specific branch

Example​

curl -H "Authorization: Bearer {accessToken}" "https://playcanvas.com/api/projects/{projectId}/assets?branchId={branchId}&skip={number}&limit={number}"

HTTP Request

GET https://playcanvas.com/api/projects/{projectId}/assets?branchId={branchId}&skip={number}&limit={number}
Authorization: Bearer {accessToken}

Parameters​

NameTypeRequiredDescription
projectIdnumber✔️The id of the project.
branchIdstring✔️The id of the branch.
skipnumberNumber of assets to skip before listing. Used for pagination. Defaults to 0.
limitnumberMaximum number of assets to list. Defaults to 16. Maximum 100000.

Response Schema​

Status: 200
{
"result": [{
"id": int,
"modifiedAt": date,
"createdAt": date,
"state": "ready" | "processing" | "error",
"name": string,
"type": string,
"scope":{
"type": string,
"id": int
},
"source": bool,
"sourceId": bool,
"tags": list of strings,
"preload": bool,
"file": {
"hash": string,
"filename": string,
"size": int,
"url": string
},
"parent": int
}, ...],
"pagination": {
"skip": int,
"limit": int,
"total": int,
}
}

Errors​

CodeDescription
401Unauthorized
403Forbidden
404Project not found
429Too many requests

Rate Limiting​

This route uses a normal rate limit.